# OpenLayers.Format.XLS.v1

Superclass for XLS version 1 parsers. Only supports GeocodeRequest for now.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.XLS.v1 | Superclass for XLS version 1 parsers.
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
regExes | Compiled regular expressions for manipulating strings.
xy | {Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.
defaultPrefix |
schemaLocation | {String} Schema location for a particular minor version.
Constructor |
OpenLayers.Format.XLS.v1 | Instances of this class are not created directly.
Functions and Properties |
read |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
write |
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### regExes

Compiled regular expressions for manipulating strings.

### xy

{Boolean} Order of the GML coordinate true:(x,y) or false:(y,x) Changing is not recommended, a new Format should be instantiated.

### defaultPrefix

### schemaLocation

{String} Schema location for a particular minor version.

### Constructor

### OpenLayers.Format.XLS.v1

Instances of this class are not created directly. Use the OpenLayers.Format.XLS constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions and Properties

### read

> read: function( | data,
> | options | )

#### Parameters

data | {DOMElement} An XLS document element.
options | {Object} Options for the reader.

#### Returns

{Object} An object representing the XLSResponse.

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### write

> write: function( | request | )

#### Parameters

request | {Object} An object representing the geocode request.

#### Returns

{DOMElement} The root of an XLS document.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

> read: function( | data,
> | options | )

> write: function( | request | )

Read and write XML.
Read/Wite XLS (OpenLS).
Close